import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
export declare class CommonChartService {
    private _chartHeight;
    private _chartWidth;
    constructor();
    get chartHeight$(): Observable<any>;
    get chartWidth$(): Observable<any>;
    setChartHeight(newValue: number): void;
    setChartWidth(newValue: number): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CommonChartService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<CommonChartService>;
}
